<script setup>
import { clearBodyClass } from "@manuals/utilities";
definePageMeta({
  layout: false,
});

// const route = useRoute();
onMounted(() => {
  clearBodyClass();
});
onUnmounted(() => {
  clearBodyClass();
});

// const HadithaFooter = defineAsyncComponent(() =>
//   import("@haditha/components/haditha/HadithaFooter.vue")
// );
</script>

<template>
  <!-- <main :class="{ 'h-full': route.name != 'haditha' }"> -->

  <main class="h-full">
    <slot name="named-slot"></slot>
    <slot></slot>
  </main>
  <!-- <haditha-footer
    v-if="route.name != 'hadithaLibraryShow' && route.name != 'hadithaSearch'"
    :class="{ static: route.name == 'haditha' }"
  ></haditha-footer> -->
</template>

<style>
#__nuxt.isolate {
  height: 100%;
}
</style>
